build lcm-test-mvebu-cortexa9:
  extends: .build LCM container
  needs: ["test Docker image ib-mvebu-cortexa9"]
  variables:
    CI_IB_CONTAINER: ib-mvebu-cortexa9
    CI_IB_ROOTFS_PATH: bin/targets/mvebu/cortexa9
    CI_IB_PROFILE: cznic_turris-omnia
    CI_IB_PACKAGES: >
      -ath10k-firmware-qca988x-ct -ca-bundle
      -dnsmasq -e2fsprogs -firewall4 -fstools -iwinfo -kernel -kmod-ath10k-ct
      -kmod-ath9k -kmod-fs-vfat -kmod-gpio-button-hotplug
      -kmod-i2c-mux-pca954x -kmod-leds-turris-omnia -kmod-nft-offload
      -kmod-nls-cp437 -kmod-nls-iso8859-1 libc libgcc -libustream-wolfssl
      -logd -mkf2fs -mtd -nftables -odhcp6c -odhcpd-ipv6only -opkg
      -partx-utils -uboot-envtools uci -uclient-fetch
      -urandom-seed -urngd -wpad-basic-mbedtls

deploy lcm-test-mvebu-cortexa9:
  extends: .deploy LCM container
  needs: ["build lcm-test-mvebu-cortexa9"]


build lcm-test-ipq807x-generic:
  extends: .build LCM container
  needs: ["test Docker image ib-ipq807x-generic"]
  variables:
    CI_IB_CONTAINER: ib-ipq807x-generic
    CI_IB_PROFILE: prpl_haze
    CI_IB_ROOTFS_PATH: bin/targets/ipq807x/generic
    CI_IB_PACKAGES: >
      -ath11k-firmware-ipq8074 -ath11k-firmware-qcn9074 -ca-bundle
      -dnsmasq -e2fsprogs -f2fsck -firewall4 -fstools -ipq-wifi-prpl_haze
      -kmod-ath11k-ahb -kmod-ath11k-pci -kmod-fs-ext4 -kmod-fs-f2fs
      -kmod-gpio-button-hotplug -kmod-leds-gpio -kmod-nft-offload -kmod-phy-aquantia
      -kmod-qca-nss-dp -kmod-usb-dwc3 -kmod-usb-dwc3-qcom -kmod-usb3 -libustream-wolfssl
      -logd -losetup -mkf2fs -mtd -nftables -odhcp6c -odhcpd-ipv6only -opkg
      -uboot-envtools -uclient-fetch -urandom-seed -urngd -wpad-basic-mbedtls

deploy lcm-test-ipq807x-generic:
  extends: .deploy LCM container
  needs: ["build lcm-test-ipq807x-generic"]


build lcm-test-x86-64:
  extends: .build LCM container
  needs: ["test Docker image ib-x86-64"]
  variables:
    CI_IB_CONTAINER: ib-x86-64
    CI_IB_ROOTFS_PATH: bin/targets/x86/64
    CI_IB_PROFILE: generic
    CI_IB_PACKAGES: >
      -ca-bundle -dnsmasq -e2fsprogs -firewall4 -fstools -grub2-bios-setup -kmod-amazon-ena
      -kmod-amd-xgbe -kmod-bnx2 -kmod-button-hotplug -kmod-e1000 -kmod-e1000e -kmod-forcedeth
      -kmod-fs-vfat -kmod-igb -kmod-igc -kmod-ixgbe -kmod-nft-offload -kmod-r8169 -kmod-tg3
      -libustream-wolfssl -logd -mkf2fs -mtd -nftables -odhcp6c -odhcpd-ipv6only -opkg
      -partx-utils -uclient-fetch -urandom-seed -urngd

test lcm-test-x86-64:
  extends: .test LCM container
  needs: ["build lcm-test-x86-64"]

deploy lcm-test-x86-64:
  extends: .deploy LCM container
  needs: ["test lcm-test-x86-64"]
